Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QFontDatabase.WritingSystem

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QFontDatabase.WritingSystem

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QFontDatabase

    public static final class QFontDatabase.WritingSystem

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QFontDatabase.WritingSystem` | `Any`
`static QFontDatabase.WritingSystem` | `Arabic`
`static QFontDatabase.WritingSystem` | `Armenian`
`static QFontDatabase.WritingSystem` | `Bengali`
`static QFontDatabase.WritingSystem` | `Cyrillic`
`static QFontDatabase.WritingSystem` | `Devanagari`
`static QFontDatabase.WritingSystem` | `Georgian`
`static QFontDatabase.WritingSystem` | `Greek`
`static QFontDatabase.WritingSystem` | `Gujarati`
`static QFontDatabase.WritingSystem` | `Gurmukhi`
`static QFontDatabase.WritingSystem` | `Hebrew`
`static QFontDatabase.WritingSystem` | `Japanese`
`static QFontDatabase.WritingSystem` | `Kannada`
`static QFontDatabase.WritingSystem` | `Khmer`
`static QFontDatabase.WritingSystem` | `Korean`
`static QFontDatabase.WritingSystem` | `Lao`
`static QFontDatabase.WritingSystem` | `Latin`
`static QFontDatabase.WritingSystem` | `Malayalam`
`static QFontDatabase.WritingSystem` | `Myanmar`
`static QFontDatabase.WritingSystem` | `Ogham`
`static QFontDatabase.WritingSystem` | `Oriya`
`static QFontDatabase.WritingSystem` | `Runic`
`static QFontDatabase.WritingSystem` | `SimplifiedChinese`
`static QFontDatabase.WritingSystem` | `Sinhala`
`static QFontDatabase.WritingSystem` | `Symbol`
`static QFontDatabase.WritingSystem` | `Syriac`
`static QFontDatabase.WritingSystem` | `Tamil`
`static QFontDatabase.WritingSystem` | `Telugu`
`static QFontDatabase.WritingSystem` | `Thaana`
`static QFontDatabase.WritingSystem` | `Thai`
`static QFontDatabase.WritingSystem` | `Tibetan`
`static QFontDatabase.WritingSystem` | `TraditionalChinese`
`static QFontDatabase.WritingSystem` | `Vietnamese`
`static QFontDatabase.WritingSystem` | `WritingSystemsCount`

Method Summary
`static QFontDatabase.WritingSystem` | `resolve(int value)` Returns the QFontDatabase$WritingSystem constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFontDatabase.WritingSystem` | `valueOf(java.lang.String name)`
`static QFontDatabase.WritingSystem[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Any

    public static final QFontDatabase.WritingSystem Any

### Latin

    public static final QFontDatabase.WritingSystem Latin

### Greek

    public static final QFontDatabase.WritingSystem Greek

### Cyrillic

    public static final QFontDatabase.WritingSystem Cyrillic

### Armenian

    public static final QFontDatabase.WritingSystem Armenian

### Hebrew

    public static final QFontDatabase.WritingSystem Hebrew

### Arabic

    public static final QFontDatabase.WritingSystem Arabic

### Syriac

    public static final QFontDatabase.WritingSystem Syriac

### Thaana

    public static final QFontDatabase.WritingSystem Thaana

### Devanagari

    public static final QFontDatabase.WritingSystem Devanagari

### Bengali

    public static final QFontDatabase.WritingSystem Bengali

### Gurmukhi

    public static final QFontDatabase.WritingSystem Gurmukhi

### Gujarati

    public static final QFontDatabase.WritingSystem Gujarati

### Oriya

    public static final QFontDatabase.WritingSystem Oriya

### Tamil

    public static final QFontDatabase.WritingSystem Tamil

### Telugu

    public static final QFontDatabase.WritingSystem Telugu

### Kannada

    public static final QFontDatabase.WritingSystem Kannada

### Malayalam

    public static final QFontDatabase.WritingSystem Malayalam

### Sinhala

    public static final QFontDatabase.WritingSystem Sinhala

### Thai

    public static final QFontDatabase.WritingSystem Thai

### Lao

    public static final QFontDatabase.WritingSystem Lao

### Tibetan

    public static final QFontDatabase.WritingSystem Tibetan

### Myanmar

    public static final QFontDatabase.WritingSystem Myanmar

### Georgian

    public static final QFontDatabase.WritingSystem Georgian

### Khmer

    public static final QFontDatabase.WritingSystem Khmer

### SimplifiedChinese

    public static final QFontDatabase.WritingSystem SimplifiedChinese

### TraditionalChinese

    public static final QFontDatabase.WritingSystem TraditionalChinese

### Japanese

    public static final QFontDatabase.WritingSystem Japanese

### Korean

    public static final QFontDatabase.WritingSystem Korean

### Vietnamese

    public static final QFontDatabase.WritingSystem Vietnamese

### Symbol

    public static final QFontDatabase.WritingSystem Symbol

### Ogham

    public static final QFontDatabase.WritingSystem Ogham

### Runic

    public static final QFontDatabase.WritingSystem Runic

### WritingSystemsCount

    public static final QFontDatabase.WritingSystem WritingSystemsCount

Method Detail

### values

    public static QFontDatabase.WritingSystem[] values()

### valueOf

    public static QFontDatabase.WritingSystem valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QFontDatabase.WritingSystem resolve(int value)

  Returns the QFontDatabase$WritingSystem constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD